Skip to main content.
home | support | download

Back to List Archive

New installation on Tru64 help!

From: Kassam, Altaf <Altaf_Kassam(at)not-real.chiron.com>
Date: Sat Feb 22 2003 - 00:06:46 GMT
I am attempting to install swish-e on my server running Compaq Tru64 UNIX
V5.1A (Rev. 1885).  I get the following compile-time error when installing
either version 2.2 or 2.3:

cc -Wall -DHAVE_CONFIG_H -DSWISH_VERSION=\"2.2.3\" -Iexpat/xmltok
-Iexpat/xmlparse  -I/usr/local/include -g -c -o date_time.o date_time.c
(null command)
cc -Wall -DHAVE_CONFIG_H -DSWISH_VERSION=\"2.2.3\" -Iexpat/xmltok
-Iexpat/xmlparse  -I/usr/local/include -g -c -o no_better_place_module.o
no_better_place_module.c
(null command)
ar cr libswish-e.a fs.o http.o httpserver.o extprog.o methods.o html.o txt.o
xml.o expat/xmltok/xmltok.o  expat/xmltok/xmlrole.o
expat/xmlparse/xmlparse.o entities.o   index.o merge.o stemmer.o soundex.o
filter.o parse_conffile.o swregex.o double_metaphone.o swish2.o search.o
swish_words.o proplimit.o  search_alt.o result_output.o rank.o hash.o
compress.o db.o db_native.o ramdisk.o btree.o array.o check.o file.o error.o
list.o mem.o string.o  docprop.o metanames.o result_sort.o  dump.o
swish_qsort.o  date_time.o  no_better_place_module.o 
ranlib libswish-e.a
cc -Wall -DHAVE_CONFIG_H -DSWISH_VERSION=\"2.2.3\" -Iexpat/xmltok
-Iexpat/xmlparse  -I/usr/local/include -g -c -o swish.o swish.c
(null command)
cc -Wall -DHAVE_CONFIG_H -DSWISH_VERSION=\"2.2.3\" -Iexpat/xmltok
-Iexpat/xmlparse  -I/usr/local/include -g -c -o keychar_out.o keychar_out.c
(null command)
cc -o swish-e -Wall -DHAVE_CONFIG_H -DSWISH_VERSION=\"2.2.3\" -Iexpat/xmltok
-Iexpat/xmlparse  -I/usr/local/include -g  swish.o keychar_out.o
libswish-e.a -lm -lm   -L/usr/local/lib -lz
ld:
Invalid flag usage: Wall, -Wx,-option must appear after -_SYSTYPE_SVR4 
ld: Usage: ld [options] file [...]
*** Exit 1
Stop.
*** Exit 1
Stop.

Not really sure what's going on.  Would certainly appreciate any advice.

Altaf
Received on Sat Feb 22 00:07:52 2003